<?php
	require_once('../../phplibs/castiron.inc.php');
	require_once(CI_PATH_LIBS.'/session.inc.php');
	require_once(CI_PATH_LIBS.'/users.inc.php');

	header('Content-type: text/xml');

	$manager	= new CI_USERS();
	$info		= array();
	$info_login	= CI_AUTH::get_login_info();

	/* Validate auth */
	$info=$manager->get_info($_REQUEST['id']);
	if ($info['id'])
	{
		CI_AUTH::require_auth('user', array('reply' => 'xml', 'user' => $_REQUEST['id']));
	}
	else
	{
		/* Fake old info */
		$info['group']=$info_login['group'];
		$info['ud_castiron_role']='user';
		
		CI_AUTH::require_auth('groupadmin', array('reply' => 'xml', 'group' => $_REQUEST['group']));
	}

	/* Only admins can assign roles */
	if ($info_login['ud_castiron_role'] != 'admin')
	{
		$_REQUEST['group']=$info['group'];
		$_REQUEST['role']=$info['ud_castiron_role'];
	}

	switch ($_REQUEST['task'])
	{
		case 'toggle':
			$out=$manager->task_toggle($_REQUEST['id']);
			break;
			
		case 'delete':
			$out=$manager->task_delete($_REQUEST['id']);
			break;

		case 'save':
			$out=$manager->task_save($_REQUEST);
			break;

		case 'sort':
			$out=$manager->task_sort($_REQUEST['map']);
			break;
	}

	echo ci_get_serialized_xml($out, 'reply');
	exit;
?>