<?php
	require_once('../../../phplibs/castiron.inc.php');
	require_once(CI_PATH_LIBS.'/session.inc.php');
	require_once(CI_PATH_LIBS.'/tables.inc.php');

	CI_AUTH::require_auth('admin', array('reply' => 'html'));

	$date_a		= str_replace('/', '-', $_REQUEST['date_a']);
	$date_b		= str_replace('/', '-', $_REQUEST['date_b']);
	$channel	= $_REQUEST['channel'];
	$partner	= $_REQUEST['partner'];

	$where_array=array(
		"'' || date || ' ' || time >= ".$CI_DB->quoteSmart($date_a),
		"'' || date || ' ' || time <= ".$CI_DB->quoteSmart($date_b)
	);
	if ($_REQUEST['channel']) array_push($where_array, "chan_from like ".$CI_DB->quoteSmart("%$channel%"));
	if ($_REQUEST['partner']) array_push($where_array, "skype_remote like ".$CI_DB->quoteSmart("%$partner%"));

	$_REQUEST['delimiter']=',';
	$_REQUEST['enclosure']='"';

	$where_string='('.join(') and (', $where_array).')';

	if ($_REQUEST['mode'] == 'view')
		$res =& $CI_DB->query("select * from call_log where $where_string order by date desc, time desc limit 200");
	else
		$res =& $CI_DB->query("select * from call_log where $where_string order by date desc, time desc");

	$headers=array(
		'date', 'time', 'chan_from', 'skype_local', 'skype_remote', 'status', 'user_id',
		'duration', 'rate', 'direction', 'rate_cur', 'chan_to'
	);

	if ($_REQUEST['mode'] == 'view')
	{
		$headers2=array(
			'date_time'	=> ci_lbl('system.calllog.header-date_time'),
			'status'	=> ci_lbl('system.calllog.header-status'),
			'local'		=> ci_lbl('system.calllog.header-chan_from'),
			'direction'	=> ci_lbl('system.calllog.header-direction'),
			'remote'	=> ci_lbl('system.calllog.header-skype_remote'),
			'duration'	=> ci_lbl('system.calllog.header-duration'),
			'rate'		=> ci_lbl('system.calllog.header-rate'),
		);

		$table=new CI_TABLES();
		$table->set_headers($headers2);

		while ($row=$res->fetchRow())
		{
			$line=array(
				'date_time'	=> $row['date'].' '.$row['time'],
				'status'	=> '<img align="absmiddle" src="icons/calllog/'.$row['status'].'.png" alt="" />&nbsp;'.strtoupper($row['status']).'&nbsp;'.strtoupper($row['direction']),
				'duration'	=> ci_readable_duration($row['duration']),
				'local'		=> $row['direction'] == 'in' ? $row['chan_to'] : $row['chan_from'],
				'remote'	=> $row['skype_remote'] ? $row['skype_remote'] : $row['chan_to'],
				'direction'	=> '<img align="absmiddle" src="icons/calllog/'.$row['direction'].'.png" alt="" />',
				'rate'		=> number_format($row['rate'], 2).' '.$row['rate_cur']
			);
			$table->add_line($line, array('enabled' => true));
		}

		echo $table->get();
	}
	else
	{
		header('Content-type: text/csv');
		header('Content-disposition: attachment; filename="calllog-'.date('YmdHis').'.csv"');
	
		$tmp_filename=TMP_PATH_BASE.'/'.date('YmdHis').'-'.uniqid('castiron-').'.csv';

		$fp=fopen($tmp_filename, "w");
		fputcsv($fp, $headers, $_REQUEST['delimiter'], $_REQUEST['enclosure']);

		while ($row=$res->fetchRow())
		{
			$line=array();
			for ($i=0; $i<sizeof($headers); $i++)
			{
				$foo=$row[$headers[$i]];
				array_push($line, $foo);
			}

			fputcsv($fp, $line, $_REQUEST['delimiter'], $_REQUEST['enclosure']);
		}

		fclose($fp);

		readfile($tmp_filename);
		unlink($tmp_filename);
	}

	exit;
?>