#!/bin/bash

cd `dirname $0`
MYDIR=`pwd`
MYSCRIPT=`basename $0`
cd ../..
S2P_PATH_BASE=`pwd`
cd $MYDIR

APPS_PATH_BASE=$S2P_PATH_BASE/apps
APPS_LIST=`ls -1 $APPS_PATH_BASE`

for APP in $APPS_LIST; do
	if [ -d $APPS_PATH_BASE/$APP ]; then

		SYS_STARTER=$APPS_PATH_BASE/$APP/bin/sys.sh

		if [ -f $SYS_STARTER ]; then
			$SYS_STARTER $1 &> /dev/null
		fi
	fi
done
