<?php
	require_once('../../../phplibs/castiron.inc.php');
	require_once(CI_PATH_LIBS.'/session.inc.php');
	require_once(CI_PATH_LIBS.'/tables.inc.php');
	require_once(CI_PATH_LIBS.'/buttons.inc.php');
	require_once(CI_PATH_LIBS.'/fields.inc.php');

	CI_AUTH::require_auth('admin', array('reply' => 'html'));

	$buttons=new CI_BUTTONS();
	$buttons->add_stock_button('view');
	$buttons->add_stock_button('export');

	if (!$_REQUEST['date_a']) $_REQUEST['date_a']=date('Y/m/d', time()-86400*7);
	if (!$_REQUEST['date_b']) $_REQUEST['date_b']=date('Y/m/d', time()+86400);
?>
<script type="text/javascript">
	function on_button_event(id, task)
	{
		switch (task)
		{
			case 'export':
				self.location.href='system/calllog/results.php'+
					'?mode=export'+
					'&date_a='+$('search').date_a.value+
					'&date_b='+$('search').date_b.value+
					'&channel='+escape($('search').channel.value)+
					'&partner='+escape($('search').partner.value)
				;
				break;

			case 'view':
				$('search').do_submit();
				break;
		}
	}
</script>

<div class="title"><?php echo ci_lbl("system.calllog.title") ?></div>
<div class="help"><?php echo ci_hlp("system.calllog") ?></div>

<form id="search">
	<table>
		<tr>
			<td><?php echo ci_lbl("system.calllog.date_a") ?></td>
			<td><?php echo CI_FIELDS::get('date_a', array('type' => 'date', 'value' => $_REQUEST['date_a'])) ?></td>
		</tr>
		<tr>
			<td><?php echo ci_lbl("system.calllog.date_b") ?></td>
			<td><?php echo CI_FIELDS::get('date_b', array('type' => 'date', 'value' => $_REQUEST['date_b'])) ?></td>
		</tr>
		<tr>
			<td><?php echo ci_lbl("system.calllog.channel") ?></td>
			<td><?php echo CI_FIELDS::get('channel', array('type' => 'text', 'value' => $_REQUEST['channel'])) ?></td>
		</tr>
		<tr>
			<td><?php echo ci_lbl("system.calllog.partner") ?></td>
			<td><?php echo CI_FIELDS::get('partner', array('type' => 'text', 'value' => $_REQUEST['partner'])) ?></td>
		</tr>
	</table>
</form>

<?php echo $buttons->get(); ?>
<div style="clear:both" />
<br />
<div id="results"></div>

<script type="text/javascript">
	$('search').do_submit = function()
	{
		ci_show_loader();

		var ajx=new Ajax(ci_uri_base+'/system/calllog/results.php'+
			'?mode=view'+
			'&date_a='+$('search').date_a.value+
			'&date_b='+$('search').date_b.value+
			'&channel='+escape($('search').channel.value)+
			'&partner='+escape($('search').partner.value),
		{
			evalScripts:	true,
			method:			'get',
			update:			$('results'),
			onComplete:		function() {
				ci_hide_loader();
			}
		}).request();
	}
	
	$('search').addEvent('submit', function(e) {
		new Event(e).stop();
		$('search').do_submit()
	});
</script>
