<?php
	require_once(CI_PATH_LIBS.'/skype.inc.php');
	
	class CI_SETTINGS_PROXY extends CI_SETTINGS
	{
		function get_config_file()
		{
			return CORE_PATH_BASE.'/config/proxy.xml';
		}
		
		function get_info()
		{
			$config=ci_get_unserialized_xml($this->get_config_file());
			return $config;
		}

		function task_save($info)
		{
			if ($info['enabled'] == 'true')
			{
				if (!$info['host'])
					return ci_response_error(
						'field',
						array(
							'fieldname' => 'host',
							'desc'		=> ci_lbl('libsettings_proxy.error.missing-host')
						)
					);

				if (!$info['port'])
					return ci_response_error(
						'field',
						array(
							'fieldname' => 'host',
							'desc'		=> ci_lbl('libsettings_proxy.error.missing-port')
						)
					);
			}
			
			ci_save_xml($this->get_config_file(), $info);

			$manager=new CI_SKYPE();
			$manager->set_flag_restart('*');
			
			return ci_response_ok();
		}
	}
?>