#!/usr/bin/env python

# Copyright and license: Please refer to LICENSE.TXT

import sys
import os
import os.path
import string
import re
import time
import signal
import thread 

_selfpath=(os.path.dirname(os.path.realpath(__file__)).split('/'))[:-1]
_selfpath.append('pylibs')
_libspath='/'.join(_selfpath)
sys.path.append(_libspath)

from s2p import *
from s2p_logger import *

sock_file=sys.argv[1]

if len(sys.argv) > 2:
	lines=sys.argv[2:]
else:
	lines = sys.stdin.readlines()

sock=s2p_usock()
sock.connect(sock_file)

for line in lines:
	line=re.sub(r"[\r\n]+", "", line)
	sock.send(line)
